%define upstream_name    Mojolicious-Plugin-Mail
%define upstream_version 1.5

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Mojolicious Plugin for send mail
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Mojolicious/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Encode)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(MIME::EncWords)
BuildRequires: perl(MIME::Lite) >= 3.27.0
BuildRequires: perl(Mojolicious) >= 5.0.0
BuildRequires: perl(Test::More)
BuildArch:  noarch

%description
the Mojolicous::Plugin::Mail manpage is a plugin for Mojolicious apps to
send mail using the MIME::Lite manpage.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml example
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.500.0-5.mga8
+ Revision: 1495638
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 1.500.0-4.mga7
+ Revision: 1269578
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.500.0-3.mga6
+ Revision: 1030306
- Rebuild for perl 5.22.2

* Thu Feb 18 2016 umeabot <umeabot> 1.500.0-2.mga6
+ Revision: 966290
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 shlomif <shlomif> 1.500.0-1.mga6
+ Revision: 843292
- update to 1.5

* Wed Oct 15 2014 umeabot <umeabot> 1.300.0-3.mga5
+ Revision: 739120
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.300.0-2.mga5
+ Revision: 685484
- Mageia 5 Mass Rebuild

* Wed Jun 04 2014 sander85 <sander85> 1.300.0-1.mga5
+ Revision: 633091
- update to 1.3

* Sat May 17 2014 shlomif <shlomif> 1.200.0-1.mga5
+ Revision: 623267
- update to 1.2

* Mon Feb 17 2014 jquelin <jquelin> 1.100.0-1.mga5
+ Revision: 593649
- update to 1.1

* Sat Oct 19 2013 umeabot <umeabot> 1.0.0-2.mga4
+ Revision: 525746
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 shlomif <shlomif> 1.0.0-1.mga4
+ Revision: 434423
- New version 1.0

* Sun Jan 13 2013 umeabot <umeabot> 0.940.0-2.mga3
+ Revision: 370038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jun 04 2012 kharec <kharec> 0.940.0-1.mga3
+ Revision: 253971
- update to 0.94

* Tue Feb 21 2012 kharec <kharec> 0.900.0-1.mga2
+ Revision: 211672
- update to 0.9

* Sat Nov 19 2011 kharec <kharec> 0.830.0-1.mga2
+ Revision: 169276
- imported package perl-Mojolicious-Plugin-Mail


* Sat Nov 19 2011 cpan2dist 0.83-1mga
- initial mageia release, generated with cpan2dist
